/*
Theme Name: Mont Albert Florist
Theme URI: https://www.montalbertflorist.com.au
Description: Mont Albert Florist Theme
Author: Tripty
Template: hello-elementor
Version: 1.0.0
Text Domain: mont-albert-florist
*/


/* hide delivery time*/
#coderockz_woo_delivery_delivery_time_section{
	display:none!important;
}


.woocommerce-shipping-destination, .woocommerce-shipping-calculator{
	display:none;

}

.sub-delivery-note{
	color:#3333338a;
	font-size:15px;
}


.woocommerce span.onsale {
  min-height: 3.5em;
  min-width: 3.5em;
  font-size: 1.3em;
	font-weight:normal;
	text-transform:uppercase;
  top: -0.5em;
	right:1em;
	left:inherit;
	line-height:3.5;
  background-color: #bf3131;
	letter-spacing:1px;
	z-index:1!important;
}

.pum-overlay.pum-active, .pum-overlay.pum-active .popmake.active {
    display: block !important;
}

@media (max-width: 767px) {
.woocommerce span.onsale {
	font-size:1em;
}
}

.wc-block-components-product-metadata, .wc-block-components-order-summary-item__individual-price{
	 display: none;
}

#coderockz_woo_delivery_time_field_field, 
#shipping_country_field,
.woocommerce-shipping-destination,
#ship-to-different-address-checkbox{
	display:none;
}

.woocommerce-checkout #payment {
	background: #EBE9D9;
		
}

.woocommerce-checkout #payment div.payment_box {
  background-color: #A1A171;
	color:#ffffff;
	letter-spacing:0.2em;
}

.woocommerce-checkout #payment div.payment_box::before{
  border-bottom-color: #A1A171;

}

.woocommerce #payment #place_order, .woocommerce-page #payment #place_order{
 	background:#6B7E50;
		text-transform:uppercase;
	  color:#ffffff;
	letter-spacing:0.2em;
	font-weight:600;
}

.woocommerce form label {
	font-weight:600;
}

.woocommerce-info{
	border-top-color: #5FA7A1;
	background-color:#E5EEEE;
}

.woocommerce-info::before {
  color: #5FA7A1;
}

:where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce button.button:hover, :where(body:not(.woocommerce-block-theme-has-button-styles)) .woocommerce input.button:hover {
  background-color:  #EBE9D9;
}

.woocommerce button.button{
	text-transform:uppercase;
	background-color:#EBE9D9;
	
}

#order_review{
	font-size:18px;
}

.select2-selection__arrow
{display:none;}


.select2-container--default .select2-selection--single{
border:0}

.elementor-button{
	background-color:#6B7E50;
	letter-spacing:0.2em;
	font-weight:600;
}

a:hover{

	text-decoration:underline
	text-underline-offset:4px;

	
}

#shipping_state_field{
	display:none!important;
}

#select2-billing_country-container{
	border: 1px solid #515151!important;
}

/* RIBBON STYLE */
.woocommerce ul.products li.product .new-badge.onsale {
	background: #ffcc00;
	top: .6em;
	z-index: 10;
	right: auto;
  font-family:'Roboto';
	font-weight: 700;
	text-transform: uppercase;
	font-size: 0.9em;
	border-radius: 0px;
	min-width: 60px;
	padding:0;
	color:#515151!important;
}
span.new-badge.onsale:after {
	border: 5px solid #ffcc00;
border-color: transparent transparent #ffcc00 #ffcc00;
	border-width: 9px 6px;
	position: absolute;
	right: -10px;
	bottom: 0;
	content: '';
}
span.new-badge.onsale:before {
border: 5px solid #ffcc00;
    border-color: #ffcc00 transparent transparent #ffcc00;
    border-width: 9px 6px;
    position: absolute;
    right: -10px;
    top: 0;
    content: '';
}

span.new-badge.onsale {
min-width: 60px;
-moz-transform: rotate(90deg);
    -webkit-transform: rotate(90deg);
    -o-transform: rotate(90deg);
    -ms-transform: rotate(90deg);
    transform: rotate(90deg);
}


.on-sale{
	position:absolute;
	min-height: 3em;
    min-width: 3em;
    font-size: 1em;
    font-weight: normal;
    text-transform: uppercase;
    top: -0.5em;
    right: 1em;
    left: inherit;
    line-height: 4.3;
	letter-spacing:0.1em;
    background-color: #bf3131;

	border-radius:100%;
	color:#fff;
}

h3 span{
	font-weight:600;
	font-size:1.1rem;
	letter-spacing:0.1em;
}

.swiper{
	padding:0!important;
	line-height:0;
}
.woocommerce-notices-wrapper .woocommerce-message 
{
	background-color:#f6f5f8;
	color:#3E3E3E;
}

#payment {
	display:none;
}

 .elementor-widget-woocommerce-cart .woocommerce .wc-proceed-to-checkout .checkout-button  {
	background-color:#6B7E50!important;
}

.elementor-widget-woocommerce-cart .woocommerce button.button {
	border:0!important;
}


.elementor-menu-cart__product-price {
	color:#333333!important;
	font-size:18px ;
	font-weight: bold;
}

.elementor-menu-cart__footer-buttons .elementor-button--view-cart{
	background-color:#6B7E50!important;
	font-size:15px;
    padding: 10px;
	border-radius: 8px;
}

.e-cart-section {
	font-size:1.2rem!important;
}

.e-cart-section th, .e-cart-section td{
	font-size:1.2rem!important;
}


.product-name a{
	color:#6B7E50!important;
	color: #6B7E50 !important;
    font-size: 1rem;
    font-weight: 600;
	text-transform: uppercase;
}
.elementor-accordion-title, .menu-item a{
	text-transform:uppercase;
}

.woocommerce-coming-soon-banner a {
    color: #000000;
    text-decoration: underline;
}

.woocommerce-coming-soon-banner a:hover {
    opacity: 0.7;
}

@media only screen and (max-width: 600px) {
  .woocommerce-page table.cart .product-thumbnail {
    display: inline;
}

.woocommerce .cart.shop_table .product-name {
    display: block;
}

.woocommerce .cart.shop_table .product-thumbnail img {
    width: 25%;
}
}

.woocommerce-page .woocommerce-message a.button.wc-forward {
    background-color: #6B7E50!important;
	color:#fff;
}

.woocommerce-page .woocommerce-message a.button.wc-forward:hover {
	background-color: #5FA7A1!important;

}

.woocommerce ul#shipping_method li input {
    margin-top:0;
    vertical-align: middle;
}

.woocommerce-store-notice, p.demo_store {
	background-color:#6B7E50!important;
}




@media only screen and (max-width: 767px) {

.woocommerce-page .woocommerce-message a.button.wc-forward {
	margin: 1% 20% 5% 15%;
    padding: 10px;
}
	
	.cfvsw-swatches-container{
    justify-content: center; 
    align-items: center; 
}

}

@media only screen and (max-width: 399px) {

.woocommerce-page .woocommerce-message a.button.wc-forward {
	margin: 1% 13% 5% 13%;
}

}